Push Subscriptions
Tags: notifications, push
Web push notification subscription management
Endpoints
DELETE /api/v2/w/{workspace_uuid}/push-subscriptions- Delete AllGET /api/v2/w/{workspace_uuid}/push-subscriptions- ListPOST /api/v2/w/{workspace_uuid}/push-subscriptions- Create
Delete All
DELETE /api/v2/w/{workspace_uuid}/push-subscriptions
Description:
Unregister a push subscription.
Only the member who owns the subscription can unregister it.
Authentication: Requires workspace member
Parameters:
endpoint(String)
List
GET /api/v2/w/{workspace_uuid}/push-subscriptions
Description:
List all push subscriptions for the current member.
Authentication: Requires workspace member
Response: List of PushSubscriptionResponse
Create
POST /api/v2/w/{workspace_uuid}/push-subscriptions
Description:
Register a new push subscription for the current member.
If a subscription with the same endpoint already exists, it will be updated.
Authentication: Requires workspace member
Parameters:
request- See RegisterPushSubscriptionRequest
Response: See PushSubscriptionResponse